#### D.5.15.12 DeltaList

Procedure from library `resolve.lib` (see resolve_lib).

Usage:
  DeltaList (BO);
  BO = basic object, a list: ideal W,
  ideal J,
  intvec b,
  list Ex,
  ideal ab,
  intvec v,
  intvec w,
  matrix M

Assume:
  R = basering, a polynomial ring, W an ideal of R,
  J = ideal containing W

Compute:
  Delta-operator iteratively applied to J in the notation of [Bravo,Encinas,Villamayor]

Return:
  list l of length ((max w-ord) * b),
  l[i+1]=Delta^i(J)

Example:

    LIB "resolve.lib";
    ring R=0,(x,y,z),dp;
    ideal W=z^2-x;
    ideal J=x*y^2+x^3;
    intvec b=1;
    list E;
    ideal abb=maxideal(1);
    intvec v;
    intvec w=-1;
    matrix M;
    list BO=W,J,b,E,abb,v,w,M;
    DeltaList(BO);
    ==> [1]:
    ==>    _[1]=x3+xy2
    ==> [2]:
    ==>    _[1]=z2-x
    ==>    _[2]=xy
    ==>    _[3]=3x2z+y2z
    ==>    _[4]=x3
    ==> [3]:
    ==>    _[1]=x
    ==>    _[2]=z2
    ==>    _[3]=yz
    ==>    _[4]=y2
    ==> [4]:
    ==>    _[1]=z
    ==>    _[2]=y
    ==>    _[3]=x

User manual for Singular version 4.4.1, 2025, generated by texi2html.